.h8300s

#define STACKSIZE 4096

.global stack
.lcomm stack, STACKSIZE

.global _start
.text
_start:
	.byte 0x12, 0x34, 0xab, 0xcd
	.long boot

boot:
	mov.l #(stack + STACKSIZE), er7

	/* Clear BSS. */
	mov.l #__bss_end, er1
	sub er0, er0
1:
	mov.l er0, @er3
	add #4, er3
	cmp er3, er1
	bne 1b

	jsr _remote

.global _sendbyte
_sendbyte:
	stm.l er2-er3, @-er7
	jsr 0x2418
	ldm.l @er7+, er2-er3
	rts

.global _recvbyte
_recvbyte:
	stm.l er2-er3, @-er7
	sub er0, er0
	jsr 0x234a
	ldm.l @er7+, er2-er3
	rts

.global _sendstring
_sendstring:
	stm.l er2-er3, @-er7
	jsr 0x2428
	ldm.l @er7+, er2-er3
	rts

