OUTPUT_FORMAT("elf32-h8300", "elf32-h8300",
              "elf32-h8300")
OUTPUT_ARCH(h8300s)
ENTRY(_start)

SECTIONS {
	. = 0x200000;
	
	.text . :
	{
		*(.text)
		*(.text.*)
	}
	
	.rodata :
	{
		. = ALIGN(4);
		__data_in_rom_start = .;
	}
	
	.data : {
		*(.rodata)
		*(.rodata.*)
		*(.data)
		*(.data.*)
		*(.rodata1)
		*(.data1)
		. = ALIGN(4);
	}
	
	. = ALIGN(4);
	.bss : {
		__bss_start = .;
		*(.bss)
		*(.bss.*)
		*(COMMON)
		. = ALIGN(4);
		__bss_end = .;
	}
	
	/DISCARD/ :
	{
		*(.comment)
		*(.shstrtab)
		*(.symtab)
		*(.strtab)
	}
}
