local table_getn = table.getn
local string_gsub = string.gsub

function pm.stringmodifier.filename(self, s)
        if (type(s) == "table") then
                if (table_getn(s) == 1) then
                        s = s[1]
                else
                        self:__error("tried to use string modifier 'pathname' on a table with more than one entry")
                end
        end
        
        local f, n = string_gsub(s, ".*/", "")
        if (n == 0) then
                return ""
        end
        return f
end

